Package org.eclipse.core.runtime.preferences

# Interface IEclipsePreferences.IPreferenceChangeListener

Enclosing interface:
  IEclipsePreferences

public static interface IEclipsePreferences.IPreferenceChangeListener
A listener used to receive changes to preference values in the preference store.

Clients may implement this interface.

Since:
  3.0

## Method Summary

Modifier and Type
Method
Description
`void`
`preferenceChange(IEclipsePreferences.PreferenceChangeEvent event)`
Notification that a preference value has changed in the preference store.

## Method Details

### preferenceChange

void preferenceChange(IEclipsePreferences.PreferenceChangeEvent event)
Notification that a preference value has changed in the preference store. The given event object describes the change details and must not be `null`.

Parameters:
  `event` - the event details
See Also:
  - `IEclipsePreferences.PreferenceChangeEvent`
  - `IEclipsePreferences.addPreferenceChangeListener(IEclipsePreferences.IPreferenceChangeListener)`
  - `IEclipsePreferences.removePreferenceChangeListener(IEclipsePreferences.IPreferenceChangeListener)`